Subject: Re: linux-next: manual merge of the mtd tree with the mtd-fixes tree

From: Rafał Miłecki <[email-masked]>
Date: Wed, 19 Oct 2022 07:31:57 +0200

Hi,

On 2022-10-19 00:28, Stephen Rothwell wrote:
> Today's linux-next merge of the mtd tree got a conflict in:
> 
>   drivers/mtd/mtdcore.c
> 
> between commit:
> 
>   12b58961de0b ("mtd: core: add missing of_node_get() in dynamic
> partitions code")
> 
> from the mtd-fixes tree and commit:
> 
>   63db0cb35e1c ("mtd: core: simplify (a bit) code find
> partition-matching dynamic OF node")
> 
> from the mtd tree.
> 
> I fixed it up (I just used the latter version) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

this isn't exactly the correct fix, of_node_get() is still needed.

I'll make sure we let Linus know about this conflict (and solution) when
sending 6.2 pull request.

diff --git a/drivers/mtd/mtdcore.c b/drivers/mtd/mtdcore.c
index 07249af4f890..20fcedc3021e 100644
--- a/drivers/mtd/mtdcore.c
+++ b/drivers/mtd/mtdcore.c
@@ -559,7 +559,7 @@ static void mtd_check_of_node(struct mtd_info *mtd)
  	if (!mtd_is_partition(mtd))
  		return;

-	parent_dn = mtd_get_of_node(mtd->parent);
+	parent_dn = of_node_get(mtd_get_of_node(mtd->parent));
  	if (!parent_dn)
  		return;